curl --request PUT \
--url https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file=@example-file \
--form 'request=<string>'import requests
url = "https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId}"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "request": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('request', '<string>');
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.hubapi.com/data-studio/data-source/2026-09/{datasourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datasourceId": "<string>",
"datasourceName": "<string>",
"previewLink": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update data source
Aktualisieren Sie eine bestehende Datenquelle in HubSpot Data Studio. Dieser Endpunkt ermöglicht es Ihnen, die Details einer spezifischen Datenquelle, die durch ihre datasourceId identifiziert wird, zu ändern. Die Anfrage muss einen Multipart-Formulardatenteil mit den notwendigen Feldern zur Aktualisierung der Datenquelle enthalten.
Supported products
Supported products
Required Scopes
Required Scopes
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
- Authorization URL
- https://app.hubspot.com/oauth/authorize
- Token URL
- https://api.hubapi.com/oauth/v1/token
Pfadparameter
Die ID der Datenquelle.
Antwort
successful operation
Die eindeutige ID für die Datenquelle. Es handelt sich um eine Ganzzahl im int64-Format.
Der Name der Datenquelle. Dies ist eine Zeichenfolge.
Eine URL-Zeichenfolge, die einen Vorschau-Link für die Datenquelle bereitstellt.
Zeitstempel der Erstellung der Datenquelle.
Zeitstempel der letzten Aktualisierung der Datenquelle.